﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Configuration;
using System.Web.Mvc;
using System.Web.Optimization;
using System.Web.Routing;

namespace Sample
{
    public class MvcApplication : System.Web.HttpApplication
    {
        protected void Application_Start()
        {
            AreaRegistration.RegisterAllAreas();
            FilterConfig.RegisterGlobalFilters(GlobalFilters.Filters);
            RouteConfig.RegisterRoutes(RouteTable.Routes);
            BundleConfig.RegisterBundles(BundleTable.Bundles);
            InitializeOAuthProperties();
        }

        public void InitializeOAuthProperties()
        {
            string ClientId = WebConfigurationManager.AppSettings["ClientId"];
            string ClientSecret = WebConfigurationManager.AppSettings["ClientSecret"];
            string AuthorizationURL = WebConfigurationManager.AppSettings["Umsurl"] + "/oauth/v1/authorize";
            string TokenURL = WebConfigurationManager.AppSettings["Umsurl"] + "/oauth/token";

            OAuthProperties.ClientId = ClientId;
            OAuthProperties.ClientSecret = ClientSecret;
            OAuthProperties.AuthorizationURL = AuthorizationURL;
            OAuthProperties.TokenURL = TokenURL;
        }

        protected void Application_Error(object sender, EventArgs e)
        {
            var exception = Server.GetLastError();
            var httpException = exception as HttpException;
        }
    }    
}
