﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Sample.Models
{
       public class JwtClaims
    {
        //// <summary>The URI for a claim that specifies a user principal name (UPN), http://schemas.xmlsoap.org/ws/2005/05/identity/claims/upn.</summary>
        public const string Upn = "upn";

        //// <summary>The URI for a claim that specifies the name of an entity, http://schemas.xmlsoap.org/ws/2005/05/identity/claims/nameidentifier.</summary>
        public const string NameIdentifier = "nameid";

        //// <summary>The URI for a claim that specifies the email address of an entity, http://schemas.xmlsoap.org/ws/2005/05/identity/claims/email.</summary>
        public const string Email = "email";

        //// <summary>The URI for a claim that specifies the first name of an entity
        public const string FirstName = "first_name";

        //// <summary>The URI for a claim that specifies the surname of an entity, http://schemas.xmlsoap.org/ws/2005/05/identity/claims/surname.</summary>
        public const string Surname = "family_name";

        //// <summary>The URI for a claim that specifies the given name of an entity, http://schemas.xmlsoap.org/ws/2005/05/identity/claims/givenname.</summary>
        public const string GivenName = "given_name";

        //// <summary>The URI for a claim that specifies the mobile phone number of an entity, http://schemas.xmlsoap.org/ws/2005/05/identity/claims/mobilephone.</summary>
        public const string MobilePhone = "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/mobilephone";

        //// <summary>http://schemas.microsoft.com/ws/2008/06/identity/claims/ispersistent.</summary>
        public const string IsPersistent = "http://schemas.microsoft.com/ws/2008/06/identity/claims/ispersistent";

        //// <summary>The URI for a claim that specifies the avatar url of an entity
        public const string AvatarUrl = "avatar_url";

        //// <summary>The URI for a claim that specifies the last modified date of an entity
        public const string LastModified = "last_modified_date";

        //// <summary>The URI for a claim that specifies the token issued date of an entity
        public const string IssuedDate = "issued_date";

        //// <summary>The URI for a claim that specifies the unique name of the user
        public const string UniqueName = "unique_name";
    }
}
